LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XDocumentRevisionListPersistence Interface Reference

interface to load or store a list of document revisions from or to a document using the packed XML file format More...

`import"XDocumentRevisionListPersistence.idl";`

Inheritance diagram for XDocumentRevisionListPersistence:

## Public Member Functions
sequence< ::com::sun::star::util::RevisionTag > | load ([in] ::com::sun::star::embed::XStorage Storage) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::io::IOException, com::sun::star::uno::Exception )
| Loads a list of available revisions from a storage. More...
void | store ([in] ::com::sun::star::embed::XStorage Storage, [in] sequence< ::com::sun::star::util::RevisionTag > List) raises ( com::sun::star::io::IOException, com::sun::star::uno::Exception )
| Stores a list of available revisions to a storage. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

interface to load or store a list of document revisions from or to a document using the packed XML file format

## Member Function Documentation

## ◆ load()

sequence< ::com::sun::star::util::RevisionTag > load | ( | [in] ::com::sun::star::embed::XStorage | Storage | ) |
raises | ( | com::sun::star::container::NoSuchElementException,
|  | com::sun::star::io::IOException,
|  | com::sun::star::uno::Exception
| ) |  |

Loads a list of available revisions from a storage.

This method does not load any revision itself

## ◆ store()

void store | ( | [in] ::com::sun::star::embed::XStorage | Storage,
|  | [in] sequence< ::com::sun::star::util::RevisionTag > | List
| ) |  |
raises | ( | com::sun::star::io::IOException,
|  | com::sun::star::uno::Exception
| ) |  |

Stores a list of available revisions to a storage.

This method does not store revisions themselves

The documentation for this interface was generated from the following file:

- com/sun/star/document/XDocumentRevisionListPersistence.idl